Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network58.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
Network address
58.0.0.0
Broadcast address
58.255.255.255
First usable
58.0.0.1
Last usable
58.255.255.254
Usable hosts
16,777,214 (16,777,216 less the network and broadcast addresses)
Subnet mask
255.0.0.0
Wildcard mask
0.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/8
Type
Public public
Old class
A (default /8)
As numbers
Hex 3A000000 · Integer 973078528 to 989855743
Reverse DNS zone
58.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00111010..00000000.00000000.0000000058.0.0.0
Subnet mask11111111..00000000.00000000.00000000255.0.0.0
Network00111010..00000000.00000000.0000000058.0.0.0
Broadcast00111010..11111111.11111111.1111111158.255.255.255
Split into smaller subnets/17

58.0.0.0/8 makes 512 subnets of /17; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
158.0.0.0/1758.0.0.1 to 58.0.127.25458.0.127.25532,766
258.0.128.0/1758.0.128.1 to 58.0.255.25458.0.255.25532,766
358.1.0.0/1758.1.0.1 to 58.1.127.25458.1.127.25532,766
458.1.128.0/1758.1.128.1 to 58.1.255.25458.1.255.25532,766
558.2.0.0/1758.2.0.1 to 58.2.127.25458.2.127.25532,766
658.2.128.0/1758.2.128.1 to 58.2.255.25458.2.255.25532,766
758.3.0.0/1758.3.0.1 to 58.3.127.25458.3.127.25532,766
858.3.128.0/1758.3.128.1 to 58.3.255.25458.3.255.25532,766
958.4.0.0/1758.4.0.1 to 58.4.127.25458.4.127.25532,766
1058.4.128.0/1758.4.128.1 to 58.4.255.25458.4.255.25532,766
1158.5.0.0/1758.5.0.1 to 58.5.127.25458.5.127.25532,766
1258.5.128.0/1758.5.128.1 to 58.5.255.25458.5.255.25532,766
1358.6.0.0/1758.6.0.1 to 58.6.127.25458.6.127.25532,766
1458.6.128.0/1758.6.128.1 to 58.6.255.25458.6.255.25532,766
1558.7.0.0/1758.7.0.1 to 58.7.127.25458.7.127.25532,766
1658.7.128.0/1758.7.128.1 to 58.7.255.25458.7.255.25532,766
1758.8.0.0/1758.8.0.1 to 58.8.127.25458.8.127.25532,766
1858.8.128.0/1758.8.128.1 to 58.8.255.25458.8.255.25532,766
1958.9.0.0/1758.9.0.1 to 58.9.127.25458.9.127.25532,766
2058.9.128.0/1758.9.128.1 to 58.9.255.25458.9.255.25532,766
2158.10.0.0/1758.10.0.1 to 58.10.127.25458.10.127.25532,766
2258.10.128.0/1758.10.128.1 to 58.10.255.25458.10.255.25532,766
2358.11.0.0/1758.11.0.1 to 58.11.127.25458.11.127.25532,766
2458.11.128.0/1758.11.128.1 to 58.11.255.25458.11.255.25532,766
2558.12.0.0/1758.12.0.1 to 58.12.127.25458.12.127.25532,766
2658.12.128.0/1758.12.128.1 to 58.12.255.25458.12.255.25532,766
2758.13.0.0/1758.13.0.1 to 58.13.127.25458.13.127.25532,766
2858.13.128.0/1758.13.128.1 to 58.13.255.25458.13.255.25532,766
2958.14.0.0/1758.14.0.1 to 58.14.127.25458.14.127.25532,766
3058.14.128.0/1758.14.128.1 to 58.14.255.25458.14.255.25532,766
3158.15.0.0/1758.15.0.1 to 58.15.127.25458.15.127.25532,766
3258.15.128.0/1758.15.128.1 to 58.15.255.25458.15.255.25532,766
3358.16.0.0/1758.16.0.1 to 58.16.127.25458.16.127.25532,766
3458.16.128.0/1758.16.128.1 to 58.16.255.25458.16.255.25532,766
3558.17.0.0/1758.17.0.1 to 58.17.127.25458.17.127.25532,766
3658.17.128.0/1758.17.128.1 to 58.17.255.25458.17.255.25532,766
3758.18.0.0/1758.18.0.1 to 58.18.127.25458.18.127.25532,766
3858.18.128.0/1758.18.128.1 to 58.18.255.25458.18.255.25532,766
3958.19.0.0/1758.19.0.1 to 58.19.127.25458.19.127.25532,766
4058.19.128.0/1758.19.128.1 to 58.19.255.25458.19.255.25532,766
4158.20.0.0/1758.20.0.1 to 58.20.127.25458.20.127.25532,766
4258.20.128.0/1758.20.128.1 to 58.20.255.25458.20.255.25532,766
4358.21.0.0/1758.21.0.1 to 58.21.127.25458.21.127.25532,766
4458.21.128.0/1758.21.128.1 to 58.21.255.25458.21.255.25532,766
4558.22.0.0/1758.22.0.1 to 58.22.127.25458.22.127.25532,766
4658.22.128.0/1758.22.128.1 to 58.22.255.25458.22.255.25532,766
4758.23.0.0/1758.23.0.1 to 58.23.127.25458.23.127.25532,766
4858.23.128.0/1758.23.128.1 to 58.23.255.25458.23.255.25532,766
4958.24.0.0/1758.24.0.1 to 58.24.127.25458.24.127.25532,766
5058.24.128.0/1758.24.128.1 to 58.24.255.25458.24.255.25532,766
5158.25.0.0/1758.25.0.1 to 58.25.127.25458.25.127.25532,766
5258.25.128.0/1758.25.128.1 to 58.25.255.25458.25.255.25532,766
5358.26.0.0/1758.26.0.1 to 58.26.127.25458.26.127.25532,766
5458.26.128.0/1758.26.128.1 to 58.26.255.25458.26.255.25532,766
5558.27.0.0/1758.27.0.1 to 58.27.127.25458.27.127.25532,766
5658.27.128.0/1758.27.128.1 to 58.27.255.25458.27.255.25532,766
5758.28.0.0/1758.28.0.1 to 58.28.127.25458.28.127.25532,766
5858.28.128.0/1758.28.128.1 to 58.28.255.25458.28.255.25532,766
5958.29.0.0/1758.29.0.1 to 58.29.127.25458.29.127.25532,766
6058.29.128.0/1758.29.128.1 to 58.29.255.25458.29.255.25532,766
6158.30.0.0/1758.30.0.1 to 58.30.127.25458.30.127.25532,766
6258.30.128.0/1758.30.128.1 to 58.30.255.25458.30.255.25532,766
6358.31.0.0/1758.31.0.1 to 58.31.127.25458.31.127.25532,766
6458.31.128.0/1758.31.128.1 to 58.31.255.25458.31.255.25532,766
6558.32.0.0/1758.32.0.1 to 58.32.127.25458.32.127.25532,766
6658.32.128.0/1758.32.128.1 to 58.32.255.25458.32.255.25532,766
6758.33.0.0/1758.33.0.1 to 58.33.127.25458.33.127.25532,766
6858.33.128.0/1758.33.128.1 to 58.33.255.25458.33.255.25532,766
6958.34.0.0/1758.34.0.1 to 58.34.127.25458.34.127.25532,766
7058.34.128.0/1758.34.128.1 to 58.34.255.25458.34.255.25532,766
7158.35.0.0/1758.35.0.1 to 58.35.127.25458.35.127.25532,766
7258.35.128.0/1758.35.128.1 to 58.35.255.25458.35.255.25532,766
7358.36.0.0/1758.36.0.1 to 58.36.127.25458.36.127.25532,766
7458.36.128.0/1758.36.128.1 to 58.36.255.25458.36.255.25532,766
7558.37.0.0/1758.37.0.1 to 58.37.127.25458.37.127.25532,766
7658.37.128.0/1758.37.128.1 to 58.37.255.25458.37.255.25532,766
7758.38.0.0/1758.38.0.1 to 58.38.127.25458.38.127.25532,766
7858.38.128.0/1758.38.128.1 to 58.38.255.25458.38.255.25532,766
7958.39.0.0/1758.39.0.1 to 58.39.127.25458.39.127.25532,766
8058.39.128.0/1758.39.128.1 to 58.39.255.25458.39.255.25532,766
8158.40.0.0/1758.40.0.1 to 58.40.127.25458.40.127.25532,766
8258.40.128.0/1758.40.128.1 to 58.40.255.25458.40.255.25532,766
8358.41.0.0/1758.41.0.1 to 58.41.127.25458.41.127.25532,766
8458.41.128.0/1758.41.128.1 to 58.41.255.25458.41.255.25532,766
8558.42.0.0/1758.42.0.1 to 58.42.127.25458.42.127.25532,766
8658.42.128.0/1758.42.128.1 to 58.42.255.25458.42.255.25532,766
8758.43.0.0/1758.43.0.1 to 58.43.127.25458.43.127.25532,766
8858.43.128.0/1758.43.128.1 to 58.43.255.25458.43.255.25532,766
8958.44.0.0/1758.44.0.1 to 58.44.127.25458.44.127.25532,766
9058.44.128.0/1758.44.128.1 to 58.44.255.25458.44.255.25532,766
9158.45.0.0/1758.45.0.1 to 58.45.127.25458.45.127.25532,766
9258.45.128.0/1758.45.128.1 to 58.45.255.25458.45.255.25532,766
9358.46.0.0/1758.46.0.1 to 58.46.127.25458.46.127.25532,766
9458.46.128.0/1758.46.128.1 to 58.46.255.25458.46.255.25532,766
9558.47.0.0/1758.47.0.1 to 58.47.127.25458.47.127.25532,766
9658.47.128.0/1758.47.128.1 to 58.47.255.25458.47.255.25532,766
9758.48.0.0/1758.48.0.1 to 58.48.127.25458.48.127.25532,766
9858.48.128.0/1758.48.128.1 to 58.48.255.25458.48.255.25532,766
9958.49.0.0/1758.49.0.1 to 58.49.127.25458.49.127.25532,766
10058.49.128.0/1758.49.128.1 to 58.49.255.25458.49.255.25532,766
10158.50.0.0/1758.50.0.1 to 58.50.127.25458.50.127.25532,766
10258.50.128.0/1758.50.128.1 to 58.50.255.25458.50.255.25532,766
10358.51.0.0/1758.51.0.1 to 58.51.127.25458.51.127.25532,766
10458.51.128.0/1758.51.128.1 to 58.51.255.25458.51.255.25532,766
10558.52.0.0/1758.52.0.1 to 58.52.127.25458.52.127.25532,766
10658.52.128.0/1758.52.128.1 to 58.52.255.25458.52.255.25532,766
10758.53.0.0/1758.53.0.1 to 58.53.127.25458.53.127.25532,766
10858.53.128.0/1758.53.128.1 to 58.53.255.25458.53.255.25532,766
10958.54.0.0/1758.54.0.1 to 58.54.127.25458.54.127.25532,766
11058.54.128.0/1758.54.128.1 to 58.54.255.25458.54.255.25532,766
11158.55.0.0/1758.55.0.1 to 58.55.127.25458.55.127.25532,766
11258.55.128.0/1758.55.128.1 to 58.55.255.25458.55.255.25532,766
11358.56.0.0/1758.56.0.1 to 58.56.127.25458.56.127.25532,766
11458.56.128.0/1758.56.128.1 to 58.56.255.25458.56.255.25532,766
11558.57.0.0/1758.57.0.1 to 58.57.127.25458.57.127.25532,766
11658.57.128.0/1758.57.128.1 to 58.57.255.25458.57.255.25532,766
11758.58.0.0/1758.58.0.1 to 58.58.127.25458.58.127.25532,766
11858.58.128.0/1758.58.128.1 to 58.58.255.25458.58.255.25532,766
11958.59.0.0/1758.59.0.1 to 58.59.127.25458.59.127.25532,766
12058.59.128.0/1758.59.128.1 to 58.59.255.25458.59.255.25532,766
12158.60.0.0/1758.60.0.1 to 58.60.127.25458.60.127.25532,766
12258.60.128.0/1758.60.128.1 to 58.60.255.25458.60.255.25532,766
12358.61.0.0/1758.61.0.1 to 58.61.127.25458.61.127.25532,766
12458.61.128.0/1758.61.128.1 to 58.61.255.25458.61.255.25532,766
12558.62.0.0/1758.62.0.1 to 58.62.127.25458.62.127.25532,766
12658.62.128.0/1758.62.128.1 to 58.62.255.25458.62.255.25532,766
12758.63.0.0/1758.63.0.1 to 58.63.127.25458.63.127.25532,766
12858.63.128.0/1758.63.128.1 to 58.63.255.25458.63.255.25532,766
12958.64.0.0/1758.64.0.1 to 58.64.127.25458.64.127.25532,766
13058.64.128.0/1758.64.128.1 to 58.64.255.25458.64.255.25532,766
13158.65.0.0/1758.65.0.1 to 58.65.127.25458.65.127.25532,766
13258.65.128.0/1758.65.128.1 to 58.65.255.25458.65.255.25532,766
13358.66.0.0/1758.66.0.1 to 58.66.127.25458.66.127.25532,766
13458.66.128.0/1758.66.128.1 to 58.66.255.25458.66.255.25532,766
13558.67.0.0/1758.67.0.1 to 58.67.127.25458.67.127.25532,766
13658.67.128.0/1758.67.128.1 to 58.67.255.25458.67.255.25532,766
13758.68.0.0/1758.68.0.1 to 58.68.127.25458.68.127.25532,766
13858.68.128.0/1758.68.128.1 to 58.68.255.25458.68.255.25532,766
13958.69.0.0/1758.69.0.1 to 58.69.127.25458.69.127.25532,766
14058.69.128.0/1758.69.128.1 to 58.69.255.25458.69.255.25532,766
14158.70.0.0/1758.70.0.1 to 58.70.127.25458.70.127.25532,766
14258.70.128.0/1758.70.128.1 to 58.70.255.25458.70.255.25532,766
14358.71.0.0/1758.71.0.1 to 58.71.127.25458.71.127.25532,766
14458.71.128.0/1758.71.128.1 to 58.71.255.25458.71.255.25532,766
14558.72.0.0/1758.72.0.1 to 58.72.127.25458.72.127.25532,766
14658.72.128.0/1758.72.128.1 to 58.72.255.25458.72.255.25532,766
14758.73.0.0/1758.73.0.1 to 58.73.127.25458.73.127.25532,766
14858.73.128.0/1758.73.128.1 to 58.73.255.25458.73.255.25532,766
14958.74.0.0/1758.74.0.1 to 58.74.127.25458.74.127.25532,766
15058.74.128.0/1758.74.128.1 to 58.74.255.25458.74.255.25532,766
15158.75.0.0/1758.75.0.1 to 58.75.127.25458.75.127.25532,766
15258.75.128.0/1758.75.128.1 to 58.75.255.25458.75.255.25532,766
15358.76.0.0/1758.76.0.1 to 58.76.127.25458.76.127.25532,766
15458.76.128.0/1758.76.128.1 to 58.76.255.25458.76.255.25532,766
15558.77.0.0/1758.77.0.1 to 58.77.127.25458.77.127.25532,766
15658.77.128.0/1758.77.128.1 to 58.77.255.25458.77.255.25532,766
15758.78.0.0/1758.78.0.1 to 58.78.127.25458.78.127.25532,766
15858.78.128.0/1758.78.128.1 to 58.78.255.25458.78.255.25532,766
15958.79.0.0/1758.79.0.1 to 58.79.127.25458.79.127.25532,766
16058.79.128.0/1758.79.128.1 to 58.79.255.25458.79.255.25532,766
16158.80.0.0/1758.80.0.1 to 58.80.127.25458.80.127.25532,766
16258.80.128.0/1758.80.128.1 to 58.80.255.25458.80.255.25532,766
16358.81.0.0/1758.81.0.1 to 58.81.127.25458.81.127.25532,766
16458.81.128.0/1758.81.128.1 to 58.81.255.25458.81.255.25532,766
16558.82.0.0/1758.82.0.1 to 58.82.127.25458.82.127.25532,766
16658.82.128.0/1758.82.128.1 to 58.82.255.25458.82.255.25532,766
16758.83.0.0/1758.83.0.1 to 58.83.127.25458.83.127.25532,766
16858.83.128.0/1758.83.128.1 to 58.83.255.25458.83.255.25532,766
16958.84.0.0/1758.84.0.1 to 58.84.127.25458.84.127.25532,766
17058.84.128.0/1758.84.128.1 to 58.84.255.25458.84.255.25532,766
17158.85.0.0/1758.85.0.1 to 58.85.127.25458.85.127.25532,766
17258.85.128.0/1758.85.128.1 to 58.85.255.25458.85.255.25532,766
17358.86.0.0/1758.86.0.1 to 58.86.127.25458.86.127.25532,766
17458.86.128.0/1758.86.128.1 to 58.86.255.25458.86.255.25532,766
17558.87.0.0/1758.87.0.1 to 58.87.127.25458.87.127.25532,766
17658.87.128.0/1758.87.128.1 to 58.87.255.25458.87.255.25532,766
17758.88.0.0/1758.88.0.1 to 58.88.127.25458.88.127.25532,766
17858.88.128.0/1758.88.128.1 to 58.88.255.25458.88.255.25532,766
17958.89.0.0/1758.89.0.1 to 58.89.127.25458.89.127.25532,766
18058.89.128.0/1758.89.128.1 to 58.89.255.25458.89.255.25532,766
18158.90.0.0/1758.90.0.1 to 58.90.127.25458.90.127.25532,766
18258.90.128.0/1758.90.128.1 to 58.90.255.25458.90.255.25532,766
18358.91.0.0/1758.91.0.1 to 58.91.127.25458.91.127.25532,766
18458.91.128.0/1758.91.128.1 to 58.91.255.25458.91.255.25532,766
18558.92.0.0/1758.92.0.1 to 58.92.127.25458.92.127.25532,766
18658.92.128.0/1758.92.128.1 to 58.92.255.25458.92.255.25532,766
18758.93.0.0/1758.93.0.1 to 58.93.127.25458.93.127.25532,766
18858.93.128.0/1758.93.128.1 to 58.93.255.25458.93.255.25532,766
18958.94.0.0/1758.94.0.1 to 58.94.127.25458.94.127.25532,766
19058.94.128.0/1758.94.128.1 to 58.94.255.25458.94.255.25532,766
19158.95.0.0/1758.95.0.1 to 58.95.127.25458.95.127.25532,766
19258.95.128.0/1758.95.128.1 to 58.95.255.25458.95.255.25532,766
19358.96.0.0/1758.96.0.1 to 58.96.127.25458.96.127.25532,766
19458.96.128.0/1758.96.128.1 to 58.96.255.25458.96.255.25532,766
19558.97.0.0/1758.97.0.1 to 58.97.127.25458.97.127.25532,766
19658.97.128.0/1758.97.128.1 to 58.97.255.25458.97.255.25532,766
19758.98.0.0/1758.98.0.1 to 58.98.127.25458.98.127.25532,766
19858.98.128.0/1758.98.128.1 to 58.98.255.25458.98.255.25532,766
19958.99.0.0/1758.99.0.1 to 58.99.127.25458.99.127.25532,766
20058.99.128.0/1758.99.128.1 to 58.99.255.25458.99.255.25532,766
20158.100.0.0/1758.100.0.1 to 58.100.127.25458.100.127.25532,766
20258.100.128.0/1758.100.128.1 to 58.100.255.25458.100.255.25532,766
20358.101.0.0/1758.101.0.1 to 58.101.127.25458.101.127.25532,766
20458.101.128.0/1758.101.128.1 to 58.101.255.25458.101.255.25532,766
20558.102.0.0/1758.102.0.1 to 58.102.127.25458.102.127.25532,766
20658.102.128.0/1758.102.128.1 to 58.102.255.25458.102.255.25532,766
20758.103.0.0/1758.103.0.1 to 58.103.127.25458.103.127.25532,766
20858.103.128.0/1758.103.128.1 to 58.103.255.25458.103.255.25532,766
20958.104.0.0/1758.104.0.1 to 58.104.127.25458.104.127.25532,766
21058.104.128.0/1758.104.128.1 to 58.104.255.25458.104.255.25532,766
21158.105.0.0/1758.105.0.1 to 58.105.127.25458.105.127.25532,766
21258.105.128.0/1758.105.128.1 to 58.105.255.25458.105.255.25532,766
21358.106.0.0/1758.106.0.1 to 58.106.127.25458.106.127.25532,766
21458.106.128.0/1758.106.128.1 to 58.106.255.25458.106.255.25532,766
21558.107.0.0/1758.107.0.1 to 58.107.127.25458.107.127.25532,766
21658.107.128.0/1758.107.128.1 to 58.107.255.25458.107.255.25532,766
21758.108.0.0/1758.108.0.1 to 58.108.127.25458.108.127.25532,766
21858.108.128.0/1758.108.128.1 to 58.108.255.25458.108.255.25532,766
21958.109.0.0/1758.109.0.1 to 58.109.127.25458.109.127.25532,766
22058.109.128.0/1758.109.128.1 to 58.109.255.25458.109.255.25532,766
22158.110.0.0/1758.110.0.1 to 58.110.127.25458.110.127.25532,766
22258.110.128.0/1758.110.128.1 to 58.110.255.25458.110.255.25532,766
22358.111.0.0/1758.111.0.1 to 58.111.127.25458.111.127.25532,766
22458.111.128.0/1758.111.128.1 to 58.111.255.25458.111.255.25532,766
22558.112.0.0/1758.112.0.1 to 58.112.127.25458.112.127.25532,766
22658.112.128.0/1758.112.128.1 to 58.112.255.25458.112.255.25532,766
22758.113.0.0/1758.113.0.1 to 58.113.127.25458.113.127.25532,766
22858.113.128.0/1758.113.128.1 to 58.113.255.25458.113.255.25532,766
22958.114.0.0/1758.114.0.1 to 58.114.127.25458.114.127.25532,766
23058.114.128.0/1758.114.128.1 to 58.114.255.25458.114.255.25532,766
23158.115.0.0/1758.115.0.1 to 58.115.127.25458.115.127.25532,766
23258.115.128.0/1758.115.128.1 to 58.115.255.25458.115.255.25532,766
23358.116.0.0/1758.116.0.1 to 58.116.127.25458.116.127.25532,766
23458.116.128.0/1758.116.128.1 to 58.116.255.25458.116.255.25532,766
23558.117.0.0/1758.117.0.1 to 58.117.127.25458.117.127.25532,766
23658.117.128.0/1758.117.128.1 to 58.117.255.25458.117.255.25532,766
23758.118.0.0/1758.118.0.1 to 58.118.127.25458.118.127.25532,766
23858.118.128.0/1758.118.128.1 to 58.118.255.25458.118.255.25532,766
23958.119.0.0/1758.119.0.1 to 58.119.127.25458.119.127.25532,766
24058.119.128.0/1758.119.128.1 to 58.119.255.25458.119.255.25532,766
24158.120.0.0/1758.120.0.1 to 58.120.127.25458.120.127.25532,766
24258.120.128.0/1758.120.128.1 to 58.120.255.25458.120.255.25532,766
24358.121.0.0/1758.121.0.1 to 58.121.127.25458.121.127.25532,766
24458.121.128.0/1758.121.128.1 to 58.121.255.25458.121.255.25532,766
24558.122.0.0/1758.122.0.1 to 58.122.127.25458.122.127.25532,766
24658.122.128.0/1758.122.128.1 to 58.122.255.25458.122.255.25532,766
24758.123.0.0/1758.123.0.1 to 58.123.127.25458.123.127.25532,766
24858.123.128.0/1758.123.128.1 to 58.123.255.25458.123.255.25532,766
24958.124.0.0/1758.124.0.1 to 58.124.127.25458.124.127.25532,766
25058.124.128.0/1758.124.128.1 to 58.124.255.25458.124.255.25532,766
25158.125.0.0/1758.125.0.1 to 58.125.127.25458.125.127.25532,766
25258.125.128.0/1758.125.128.1 to 58.125.255.25458.125.255.25532,766
25358.126.0.0/1758.126.0.1 to 58.126.127.25458.126.127.25532,766
25458.126.128.0/1758.126.128.1 to 58.126.255.25458.126.255.25532,766
25558.127.0.0/1758.127.0.1 to 58.127.127.25458.127.127.25532,766
25658.127.128.0/1758.127.128.1 to 58.127.255.25458.127.255.25532,766

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses